---
title: Document.queryCommandState()
slug: Web/API/Document/queryCommandState
tags:
  - API
  - DOM
  - Reference
---
<div>{{ApiRef("DOM")}}{{obsolete_header}}</div>

<p>The <strong><code>queryCommandState()</code></strong> method will tell you if the current selection has a certain {{domxref("Document.execCommand()")}} command applied.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js notranslate">queryCommandState(String <var>command</var>)
</pre>

<h3 id="Parameters">Parameters</h3>

<p><code><var>command</var></code> is a command from {{domxref("Document.execCommand()")}}</p>

<h3 id="Return_value">Return value</h3>

<p><code>queryCommandState()</code> can return a {{jsxref("Boolean")}} value or <code>null</code> if the state is unknown.</p>

<h2 id="Example">Example</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;div contenteditable="true"&gt;Select a part of this text!&lt;/div&gt;
&lt;button onclick="makeBold();"&gt;Test the state of the 'bold' command&lt;/button&gt;
</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js notranslate">function makeBold() {
  var state = document.queryCommandState("bold");
  switch (state) {
    case true:
      alert("The bold formatting will be removed from the selected text.");
      break;
    case false:
      alert("The selected text will be displayed in bold.");
      break;
    case null:
      alert("The state of the 'bold' command is indeterminable.");
      break;
  }
  document.execCommand('bold');
}</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample('Example')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><a href="https://w3c.github.io/editing/execCommand.html#querycommandstate()">execCommand</a></td>
   <td></td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.queryCommandState")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("HTMLElement.contentEditable")}}</li>
 <li>{{domxref("document.designMode")}}</li>
 <li><a href="/en-US/docs/Rich-Text_Editing_in_Mozilla">Rich-Text Editing in Mozilla</a></li>
 <li>Browser bugs related to <code>queryCommandState()</code>: <a href="https://github.com/guardian/scribe/blob/master/BROWSERINCONSISTENCIES.md#documentquerycommandstate">Scribe's "Browser Inconsistencies" documentation</a></li>
</ul>
